Skip to Content
CallMitraDocs
API referenceCampaigns

Delete a campaign

Cancels its scheduled dialing. Its calls are kept and no longer point at the campaign.

DELETE
/api/v1/campaigns/{campaign_id}

Cancels its scheduled dialing. Its calls are kept and no longer point at the campaign.

Authorization

headerX-API-Key<token>

Create in the console: Settings → API & webhooks.

Path Parameters

campaign_id*string

Campaign ID.

Formatuuid

Response Body

OK

application/json
  1. response

Confirms the delete.

message?|

Human-readable confirmation.

success?|

Always true.

[key: string]?any
Example Request
curl -X DELETE 'https://api.callmitra.ai/api/v1/campaigns/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
{  "message": "Campaign deleted",  "success": true}